RTF_CREATE_FIR_LOWPASS(3)

NAME
rtf_create_fir_lowpass, rtf_create_fir_highpass, rtf_create_fir_bandpass - Creates FIR lowpass, highpass and bandpass windowed sinc filters

SYNOPSIS

#include <rtf_common.h>

hfilter rtf_create_fir_lowpass(unsigned int nch, int proctype,
double fc, unsigned int hlen,
KernelWindow wndtype);
hfilter rtf_create_fir_highpass(unsigned int nch, int proctype,
double fc, unsigned int hlen,
KernelWindow wndtype);
hfilter rtf_create_fir_bandpass(unsigned int nchann, int proctype,
double fc_low, double fc_high,
unsigned int hlen,
KernelWindow wndtype);

DESCRIPTION

rtf_create_fir_lowpass() creates a lowpass windowed sinc filter processing nchann channels of data type specified by proctype with fc as normalized cutoff frequency and hlen as the half length of the window.

rtf_create_fir_highpass() is the same as rtf_create_fir_lowpass() but creates a highpass filter.

rtf_create_fir_bandpass() is the same but creates a bandpass filter with fc_low and fc_high as respectively the lowpass and highpass normalized cutoff frequencies.

A normalized frequency is the ratio between the absolute frequency and the sampling frequency (i.e. a value of 1.0 refers to the sampling frequency).

The parameter proctype has the same meaning as in rtf_create_filter(3). Refers to its manpage for more details.

The parameter wndtype specifies the type of window applied to the impulse response and can take the following values: BLACKMAN_WINDOW, HAMMING_WINDOW or RECT_WINDOW (see a book on signal processing for details about their meaning).

RETURN VALUE

Returns the handle to the created filter in case of success, NULL otherwise.

SEE ALSO
rtf_create_filter(3), rtf_destroy_filter(3)